> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/model-danych/wykorzystanie-modelu-danych/api-modelu-danych.md).

# API modelu danych

W skryptach, walidatorach oraz zadaniach skryptowych możemy korzystać z API modelu danych

```
interface Model {
   get(key || key[] :string): string;                    // Pobranie zmiennej z modelu danych o wskazanym id
   indexes(key[] : string): List<String>;                // Pobieranie indexy podanego klucza z tablicy
}
```

### GET

Aby skorzystać z wartości z modelu danych, należy posłużyć się API zaprezentowanym w poniższym fragmencie kodu:

```js
function callService(input){
    const valueFromModel = api.model.v1.get("user.pesel"); // Pobranie peselu z pojedynczego node modelu -> "12312312311"
    let customersLastName = api.model.v1.get("BazaOfert.Kredytobiorcy[0].Nazwisko") // Pobranie nazwiska z indexu 0 -> "Kowalski"
    let customersPesel = api.model.v1.get("BazaOfert.Kredytobiorcy[].PESEL") //Pobranie wszystkie Pesele z tablicy -> "74082109492,49020106066"
    return [{'output':customerLastName}]
}
```

### INDEXES

Aby pobrać listę indeksów dla tablicy, należy posłużyć się API zaprezentowanym w poniższym fragmencie kodu:

```js
 const answersIndexes = api.model.v1.indexes("Survey.Questions[]")
 let surveyResults = answersIndexes.map((idx) => {
        return {
            "question": api.model.v1.get(`Survey.Questions[${idx}].Content`),
            "answer": api.model.v1.get(`Survey.Questions[${idx}].Answer`)
        }
    })
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/budowanie-aplikacji/model-danych/wykorzystanie-modelu-danych/api-modelu-danych.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
